> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data from GoHighLevel API



## OpenAPI

````yaml get /tools/data
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /tools/data:
    get:
      tags:
        - Tools
      summary: Get data from GoHighLevel API
      operationId: ToolsController_getData
      parameters:
        - name: type
          required: true
          in: query
          description: Type of data to fetch
          schema:
            type: string
            enum:
              - contacts
              - calendars
              - slot
              - tags
        - name: calendarId
          required: false
          in: query
          description: Calendar ID (required for slot type)
          schema:
            type: string
        - name: startDateTime
          required: false
          in: query
          description: Start date time in milliseconds (required for slot type)
          schema:
            type: number
        - name: endDateTime
          required: false
          in: query
          description: End date time in milliseconds (required for slot type)
          schema:
            type: number
        - name: timeZone
          required: false
          in: query
          description: Time zone (required for slot type)
          schema:
            type: string
      responses:
        '200':
          description: Data fetched successfully
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````